package com.hammurapi.common;


/**
 * This interface serves the same role as java.util.Observable, but it's an interface, not a class.
 * @author Pavel Vlasov
 */
public interface Observable<T> {

	void addObserver(Observer<? super T> o);

	void deleteObserver(Observer<? super T> o);

}
